Skip to content

Retrieve a specific user with SCIM.

GET/api/{version}/scim/v2/Users/{id}
NameDescription
Acceptapplication/json (default) or application/scim+json
NameDescription
idThe ID of a specific user.
NameDescription
filterOptional: Filter for a specific attribute value. Must be in the format {attribute} eq "{value}". For example, to filter for a particular user name, userName eq "john". Complex expressions are not supported, and eq is the only supported operator.
attributesOptional: Include specified attributes only. Enter multiple values in a comma separated list. For example, to include only user name and email in the response, attributes=userName,emails. Note that the schemas and id attributes are always returned.
excludedAttributesOptional: Exclude specific attributes from the response. Enter multiple values in a comma separated list. For example, to exclude user name and email from the response, excludedAttributes=userName,emails. Note that the schemas and id attributes are always returned and cannot be excluded.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://veepharm.com/api/v26.1/scim/v2/Users/61579?attributes=userName,emails
{ "schemas": [ "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User", "urn:ietf:params:scim:schemas:core:2.0:User" ], "id": "61579", "emails": [ { "value": "mmurray@veepharm.com", "type": "work" } ], "userName": "mmurray@veepharm.com" }